Name: sweets-python-xklavier
Version: 0.4

Release: 2.1
Group: Development/Tools/Other
Summary: A set of Python bindings for libxklavier
License: LGPLv2+
Url: http://devel.randomink.org/projects/python-xklavier

Source: python-xklavier-0.4.tar.gz
Source1: sweet.tar.gz



Requires: gtk2
Requires: pygobject2 >= 2.6.2
Requires: sweets-libxklavier >= 5.0
BuildRequires: gcc
BuildRequires: gtk2-devel
BuildRequires: make
BuildRequires: pkgconfig
BuildRequires: pygobject2-devel >= 2.6.2
BuildRequires: python-devel
BuildRequires: sweets-libxklavier >= 5.0
BuildRequires: python




BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}
AutoProv: no
AutoReq:  no


%description
A set of Python bindings for libxklavier

%prep
%setup -n python-xklavier-0.4

tar xzpvf %{SOURCE1} -C %{_sourcedir}


%build
test -e /opt/sweets/libxklavier/binding && . /opt/sweets/libxklavier/binding; ./configure --prefix=/opt/sweets/python-xklavier am_cv_python_pythondir=/opt/sweets/python-xklavier/python am_cv_python_pyexecdir=/opt/sweets/python-xklavier/python CFLAGS="${CFLAGS}"
test -e /opt/sweets/libxklavier/binding && . /opt/sweets/libxklavier/binding; make

%install

# Such scripts might, e.g., compress man files that will break %files logic
%undefine __os_install_post

test -e /opt/sweets/libxklavier/binding && . /opt/sweets/libxklavier/binding; make DESTDIR=%{buildroot}/.dest install
python %{_sourcedir}/sweet_install.py move rpm %{_sourcedir}/sweet_files %{buildroot} /opt/sweets/python-xklavier '' '' > sweets-python-xklavier.files
[ -f sweets.recipe ] && spec=sweets.recipe || spec=%{_sourcedir}/sweets.recipe; cp $spec %{buildroot}/.dest/sweets.recipe
echo /opt/sweets/python-xklavier/sweets.recipe >> sweets-python-xklavier.files
python %{_sourcedir}/sweet_install.py move rpm %{buildroot}/.dest %{buildroot} /opt/sweets/python-xklavier '' '' >> sweets-python-xklavier.files
rm -rf %{buildroot}/.dest
install -m 0755 -d %{buildroot}/opt/sweets/sdk/python-xklavier
(cd %{buildroot}; find . -name "*.py" -printf "%h\n" | sort | uniq | sed s/^.// > opt/sweets/sdk/python-xklavier/pydirs)
echo /opt/sweets/sdk/python-xklavier/pydirs >> sweets-python-xklavier.files

%post
test -e /opt/sweets/sdk/python-xklavier/pydirs && for i in `cat /opt/sweets/sdk/python-xklavier/pydirs`; do python -m compileall -l $i >/dev/null; python -O -m compileall -l $i >/dev/null; done; true

%preun
test -e /opt/sweets/sdk/python-xklavier/pydirs && for i in `cat /opt/sweets/sdk/python-xklavier/pydirs`; do rm -f $i/*.pyc $i/*.pyo; done; true

%clean
rm -rf %{buildroot}

%files -f sweets-python-xklavier.files

%changelog
